IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network232.167.76.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
232.167.76.0- Broadcast address
232.167.79.255- First usable
232.167.76.1- Last usable
232.167.79.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E8A74C00· Integer3903278080to3903279103 - Reverse DNS zones
76.167.232.in-addr.arpa77.167.232.in-addr.arpa78.167.232.in-addr.arpa79.167.232.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101000.10100111.01001100.00000000 | 232.167.76.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11101000.10100111.01001100.00000000 | 232.167.76.0 |
| Broadcast | 11101000.10100111.01001111.11111111 | 232.167.79.255 |
Split into smaller subnets
232.167.76.0/22 makes 512 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 232.167.76.0/31 | 232.167.76.0 to 232.167.76.1 | — | 2 |
| 2 | 232.167.76.2/31 | 232.167.76.2 to 232.167.76.3 | — | 2 |
| 3 | 232.167.76.4/31 | 232.167.76.4 to 232.167.76.5 | — | 2 |
| 4 | 232.167.76.6/31 | 232.167.76.6 to 232.167.76.7 | — | 2 |
| 5 | 232.167.76.8/31 | 232.167.76.8 to 232.167.76.9 | — | 2 |
| 6 | 232.167.76.10/31 | 232.167.76.10 to 232.167.76.11 | — | 2 |
| 7 | 232.167.76.12/31 | 232.167.76.12 to 232.167.76.13 | — | 2 |
| 8 | 232.167.76.14/31 | 232.167.76.14 to 232.167.76.15 | — | 2 |
| 9 | 232.167.76.16/31 | 232.167.76.16 to 232.167.76.17 | — | 2 |
| 10 | 232.167.76.18/31 | 232.167.76.18 to 232.167.76.19 | — | 2 |
| 11 | 232.167.76.20/31 | 232.167.76.20 to 232.167.76.21 | — | 2 |
| 12 | 232.167.76.22/31 | 232.167.76.22 to 232.167.76.23 | — | 2 |
| 13 | 232.167.76.24/31 | 232.167.76.24 to 232.167.76.25 | — | 2 |
| 14 | 232.167.76.26/31 | 232.167.76.26 to 232.167.76.27 | — | 2 |
| 15 | 232.167.76.28/31 | 232.167.76.28 to 232.167.76.29 | — | 2 |
| 16 | 232.167.76.30/31 | 232.167.76.30 to 232.167.76.31 | — | 2 |
| 17 | 232.167.76.32/31 | 232.167.76.32 to 232.167.76.33 | — | 2 |
| 18 | 232.167.76.34/31 | 232.167.76.34 to 232.167.76.35 | — | 2 |
| 19 | 232.167.76.36/31 | 232.167.76.36 to 232.167.76.37 | — | 2 |
| 20 | 232.167.76.38/31 | 232.167.76.38 to 232.167.76.39 | — | 2 |
| 21 | 232.167.76.40/31 | 232.167.76.40 to 232.167.76.41 | — | 2 |
| 22 | 232.167.76.42/31 | 232.167.76.42 to 232.167.76.43 | — | 2 |
| 23 | 232.167.76.44/31 | 232.167.76.44 to 232.167.76.45 | — | 2 |
| 24 | 232.167.76.46/31 | 232.167.76.46 to 232.167.76.47 | — | 2 |
| 25 | 232.167.76.48/31 | 232.167.76.48 to 232.167.76.49 | — | 2 |
| 26 | 232.167.76.50/31 | 232.167.76.50 to 232.167.76.51 | — | 2 |
| 27 | 232.167.76.52/31 | 232.167.76.52 to 232.167.76.53 | — | 2 |
| 28 | 232.167.76.54/31 | 232.167.76.54 to 232.167.76.55 | — | 2 |
| 29 | 232.167.76.56/31 | 232.167.76.56 to 232.167.76.57 | — | 2 |
| 30 | 232.167.76.58/31 | 232.167.76.58 to 232.167.76.59 | — | 2 |
| 31 | 232.167.76.60/31 | 232.167.76.60 to 232.167.76.61 | — | 2 |
| 32 | 232.167.76.62/31 | 232.167.76.62 to 232.167.76.63 | — | 2 |
| 33 | 232.167.76.64/31 | 232.167.76.64 to 232.167.76.65 | — | 2 |
| 34 | 232.167.76.66/31 | 232.167.76.66 to 232.167.76.67 | — | 2 |
| 35 | 232.167.76.68/31 | 232.167.76.68 to 232.167.76.69 | — | 2 |
| 36 | 232.167.76.70/31 | 232.167.76.70 to 232.167.76.71 | — | 2 |
| 37 | 232.167.76.72/31 | 232.167.76.72 to 232.167.76.73 | — | 2 |
| 38 | 232.167.76.74/31 | 232.167.76.74 to 232.167.76.75 | — | 2 |
| 39 | 232.167.76.76/31 | 232.167.76.76 to 232.167.76.77 | — | 2 |
| 40 | 232.167.76.78/31 | 232.167.76.78 to 232.167.76.79 | — | 2 |
| 41 | 232.167.76.80/31 | 232.167.76.80 to 232.167.76.81 | — | 2 |
| 42 | 232.167.76.82/31 | 232.167.76.82 to 232.167.76.83 | — | 2 |
| 43 | 232.167.76.84/31 | 232.167.76.84 to 232.167.76.85 | — | 2 |
| 44 | 232.167.76.86/31 | 232.167.76.86 to 232.167.76.87 | — | 2 |
| 45 | 232.167.76.88/31 | 232.167.76.88 to 232.167.76.89 | — | 2 |
| 46 | 232.167.76.90/31 | 232.167.76.90 to 232.167.76.91 | — | 2 |
| 47 | 232.167.76.92/31 | 232.167.76.92 to 232.167.76.93 | — | 2 |
| 48 | 232.167.76.94/31 | 232.167.76.94 to 232.167.76.95 | — | 2 |
| 49 | 232.167.76.96/31 | 232.167.76.96 to 232.167.76.97 | — | 2 |
| 50 | 232.167.76.98/31 | 232.167.76.98 to 232.167.76.99 | — | 2 |
| 51 | 232.167.76.100/31 | 232.167.76.100 to 232.167.76.101 | — | 2 |
| 52 | 232.167.76.102/31 | 232.167.76.102 to 232.167.76.103 | — | 2 |
| 53 | 232.167.76.104/31 | 232.167.76.104 to 232.167.76.105 | — | 2 |
| 54 | 232.167.76.106/31 | 232.167.76.106 to 232.167.76.107 | — | 2 |
| 55 | 232.167.76.108/31 | 232.167.76.108 to 232.167.76.109 | — | 2 |
| 56 | 232.167.76.110/31 | 232.167.76.110 to 232.167.76.111 | — | 2 |
| 57 | 232.167.76.112/31 | 232.167.76.112 to 232.167.76.113 | — | 2 |
| 58 | 232.167.76.114/31 | 232.167.76.114 to 232.167.76.115 | — | 2 |
| 59 | 232.167.76.116/31 | 232.167.76.116 to 232.167.76.117 | — | 2 |
| 60 | 232.167.76.118/31 | 232.167.76.118 to 232.167.76.119 | — | 2 |
| 61 | 232.167.76.120/31 | 232.167.76.120 to 232.167.76.121 | — | 2 |
| 62 | 232.167.76.122/31 | 232.167.76.122 to 232.167.76.123 | — | 2 |
| 63 | 232.167.76.124/31 | 232.167.76.124 to 232.167.76.125 | — | 2 |
| 64 | 232.167.76.126/31 | 232.167.76.126 to 232.167.76.127 | — | 2 |
| 65 | 232.167.76.128/31 | 232.167.76.128 to 232.167.76.129 | — | 2 |
| 66 | 232.167.76.130/31 | 232.167.76.130 to 232.167.76.131 | — | 2 |
| 67 | 232.167.76.132/31 | 232.167.76.132 to 232.167.76.133 | — | 2 |
| 68 | 232.167.76.134/31 | 232.167.76.134 to 232.167.76.135 | — | 2 |
| 69 | 232.167.76.136/31 | 232.167.76.136 to 232.167.76.137 | — | 2 |
| 70 | 232.167.76.138/31 | 232.167.76.138 to 232.167.76.139 | — | 2 |
| 71 | 232.167.76.140/31 | 232.167.76.140 to 232.167.76.141 | — | 2 |
| 72 | 232.167.76.142/31 | 232.167.76.142 to 232.167.76.143 | — | 2 |
| 73 | 232.167.76.144/31 | 232.167.76.144 to 232.167.76.145 | — | 2 |
| 74 | 232.167.76.146/31 | 232.167.76.146 to 232.167.76.147 | — | 2 |
| 75 | 232.167.76.148/31 | 232.167.76.148 to 232.167.76.149 | — | 2 |
| 76 | 232.167.76.150/31 | 232.167.76.150 to 232.167.76.151 | — | 2 |
| 77 | 232.167.76.152/31 | 232.167.76.152 to 232.167.76.153 | — | 2 |
| 78 | 232.167.76.154/31 | 232.167.76.154 to 232.167.76.155 | — | 2 |
| 79 | 232.167.76.156/31 | 232.167.76.156 to 232.167.76.157 | — | 2 |
| 80 | 232.167.76.158/31 | 232.167.76.158 to 232.167.76.159 | — | 2 |
| 81 | 232.167.76.160/31 | 232.167.76.160 to 232.167.76.161 | — | 2 |
| 82 | 232.167.76.162/31 | 232.167.76.162 to 232.167.76.163 | — | 2 |
| 83 | 232.167.76.164/31 | 232.167.76.164 to 232.167.76.165 | — | 2 |
| 84 | 232.167.76.166/31 | 232.167.76.166 to 232.167.76.167 | — | 2 |
| 85 | 232.167.76.168/31 | 232.167.76.168 to 232.167.76.169 | — | 2 |
| 86 | 232.167.76.170/31 | 232.167.76.170 to 232.167.76.171 | — | 2 |
| 87 | 232.167.76.172/31 | 232.167.76.172 to 232.167.76.173 | — | 2 |
| 88 | 232.167.76.174/31 | 232.167.76.174 to 232.167.76.175 | — | 2 |
| 89 | 232.167.76.176/31 | 232.167.76.176 to 232.167.76.177 | — | 2 |
| 90 | 232.167.76.178/31 | 232.167.76.178 to 232.167.76.179 | — | 2 |
| 91 | 232.167.76.180/31 | 232.167.76.180 to 232.167.76.181 | — | 2 |
| 92 | 232.167.76.182/31 | 232.167.76.182 to 232.167.76.183 | — | 2 |
| 93 | 232.167.76.184/31 | 232.167.76.184 to 232.167.76.185 | — | 2 |
| 94 | 232.167.76.186/31 | 232.167.76.186 to 232.167.76.187 | — | 2 |
| 95 | 232.167.76.188/31 | 232.167.76.188 to 232.167.76.189 | — | 2 |
| 96 | 232.167.76.190/31 | 232.167.76.190 to 232.167.76.191 | — | 2 |
| 97 | 232.167.76.192/31 | 232.167.76.192 to 232.167.76.193 | — | 2 |
| 98 | 232.167.76.194/31 | 232.167.76.194 to 232.167.76.195 | — | 2 |
| 99 | 232.167.76.196/31 | 232.167.76.196 to 232.167.76.197 | — | 2 |
| 100 | 232.167.76.198/31 | 232.167.76.198 to 232.167.76.199 | — | 2 |
| 101 | 232.167.76.200/31 | 232.167.76.200 to 232.167.76.201 | — | 2 |
| 102 | 232.167.76.202/31 | 232.167.76.202 to 232.167.76.203 | — | 2 |
| 103 | 232.167.76.204/31 | 232.167.76.204 to 232.167.76.205 | — | 2 |
| 104 | 232.167.76.206/31 | 232.167.76.206 to 232.167.76.207 | — | 2 |
| 105 | 232.167.76.208/31 | 232.167.76.208 to 232.167.76.209 | — | 2 |
| 106 | 232.167.76.210/31 | 232.167.76.210 to 232.167.76.211 | — | 2 |
| 107 | 232.167.76.212/31 | 232.167.76.212 to 232.167.76.213 | — | 2 |
| 108 | 232.167.76.214/31 | 232.167.76.214 to 232.167.76.215 | — | 2 |
| 109 | 232.167.76.216/31 | 232.167.76.216 to 232.167.76.217 | — | 2 |
| 110 | 232.167.76.218/31 | 232.167.76.218 to 232.167.76.219 | — | 2 |
| 111 | 232.167.76.220/31 | 232.167.76.220 to 232.167.76.221 | — | 2 |
| 112 | 232.167.76.222/31 | 232.167.76.222 to 232.167.76.223 | — | 2 |
| 113 | 232.167.76.224/31 | 232.167.76.224 to 232.167.76.225 | — | 2 |
| 114 | 232.167.76.226/31 | 232.167.76.226 to 232.167.76.227 | — | 2 |
| 115 | 232.167.76.228/31 | 232.167.76.228 to 232.167.76.229 | — | 2 |
| 116 | 232.167.76.230/31 | 232.167.76.230 to 232.167.76.231 | — | 2 |
| 117 | 232.167.76.232/31 | 232.167.76.232 to 232.167.76.233 | — | 2 |
| 118 | 232.167.76.234/31 | 232.167.76.234 to 232.167.76.235 | — | 2 |
| 119 | 232.167.76.236/31 | 232.167.76.236 to 232.167.76.237 | — | 2 |
| 120 | 232.167.76.238/31 | 232.167.76.238 to 232.167.76.239 | — | 2 |
| 121 | 232.167.76.240/31 | 232.167.76.240 to 232.167.76.241 | — | 2 |
| 122 | 232.167.76.242/31 | 232.167.76.242 to 232.167.76.243 | — | 2 |
| 123 | 232.167.76.244/31 | 232.167.76.244 to 232.167.76.245 | — | 2 |
| 124 | 232.167.76.246/31 | 232.167.76.246 to 232.167.76.247 | — | 2 |
| 125 | 232.167.76.248/31 | 232.167.76.248 to 232.167.76.249 | — | 2 |
| 126 | 232.167.76.250/31 | 232.167.76.250 to 232.167.76.251 | — | 2 |
| 127 | 232.167.76.252/31 | 232.167.76.252 to 232.167.76.253 | — | 2 |
| 128 | 232.167.76.254/31 | 232.167.76.254 to 232.167.76.255 | — | 2 |
| 129 | 232.167.77.0/31 | 232.167.77.0 to 232.167.77.1 | — | 2 |
| 130 | 232.167.77.2/31 | 232.167.77.2 to 232.167.77.3 | — | 2 |
| 131 | 232.167.77.4/31 | 232.167.77.4 to 232.167.77.5 | — | 2 |
| 132 | 232.167.77.6/31 | 232.167.77.6 to 232.167.77.7 | — | 2 |
| 133 | 232.167.77.8/31 | 232.167.77.8 to 232.167.77.9 | — | 2 |
| 134 | 232.167.77.10/31 | 232.167.77.10 to 232.167.77.11 | — | 2 |
| 135 | 232.167.77.12/31 | 232.167.77.12 to 232.167.77.13 | — | 2 |
| 136 | 232.167.77.14/31 | 232.167.77.14 to 232.167.77.15 | — | 2 |
| 137 | 232.167.77.16/31 | 232.167.77.16 to 232.167.77.17 | — | 2 |
| 138 | 232.167.77.18/31 | 232.167.77.18 to 232.167.77.19 | — | 2 |
| 139 | 232.167.77.20/31 | 232.167.77.20 to 232.167.77.21 | — | 2 |
| 140 | 232.167.77.22/31 | 232.167.77.22 to 232.167.77.23 | — | 2 |
| 141 | 232.167.77.24/31 | 232.167.77.24 to 232.167.77.25 | — | 2 |
| 142 | 232.167.77.26/31 | 232.167.77.26 to 232.167.77.27 | — | 2 |
| 143 | 232.167.77.28/31 | 232.167.77.28 to 232.167.77.29 | — | 2 |
| 144 | 232.167.77.30/31 | 232.167.77.30 to 232.167.77.31 | — | 2 |
| 145 | 232.167.77.32/31 | 232.167.77.32 to 232.167.77.33 | — | 2 |
| 146 | 232.167.77.34/31 | 232.167.77.34 to 232.167.77.35 | — | 2 |
| 147 | 232.167.77.36/31 | 232.167.77.36 to 232.167.77.37 | — | 2 |
| 148 | 232.167.77.38/31 | 232.167.77.38 to 232.167.77.39 | — | 2 |
| 149 | 232.167.77.40/31 | 232.167.77.40 to 232.167.77.41 | — | 2 |
| 150 | 232.167.77.42/31 | 232.167.77.42 to 232.167.77.43 | — | 2 |
| 151 | 232.167.77.44/31 | 232.167.77.44 to 232.167.77.45 | — | 2 |
| 152 | 232.167.77.46/31 | 232.167.77.46 to 232.167.77.47 | — | 2 |
| 153 | 232.167.77.48/31 | 232.167.77.48 to 232.167.77.49 | — | 2 |
| 154 | 232.167.77.50/31 | 232.167.77.50 to 232.167.77.51 | — | 2 |
| 155 | 232.167.77.52/31 | 232.167.77.52 to 232.167.77.53 | — | 2 |
| 156 | 232.167.77.54/31 | 232.167.77.54 to 232.167.77.55 | — | 2 |
| 157 | 232.167.77.56/31 | 232.167.77.56 to 232.167.77.57 | — | 2 |
| 158 | 232.167.77.58/31 | 232.167.77.58 to 232.167.77.59 | — | 2 |
| 159 | 232.167.77.60/31 | 232.167.77.60 to 232.167.77.61 | — | 2 |
| 160 | 232.167.77.62/31 | 232.167.77.62 to 232.167.77.63 | — | 2 |
| 161 | 232.167.77.64/31 | 232.167.77.64 to 232.167.77.65 | — | 2 |
| 162 | 232.167.77.66/31 | 232.167.77.66 to 232.167.77.67 | — | 2 |
| 163 | 232.167.77.68/31 | 232.167.77.68 to 232.167.77.69 | — | 2 |
| 164 | 232.167.77.70/31 | 232.167.77.70 to 232.167.77.71 | — | 2 |
| 165 | 232.167.77.72/31 | 232.167.77.72 to 232.167.77.73 | — | 2 |
| 166 | 232.167.77.74/31 | 232.167.77.74 to 232.167.77.75 | — | 2 |
| 167 | 232.167.77.76/31 | 232.167.77.76 to 232.167.77.77 | — | 2 |
| 168 | 232.167.77.78/31 | 232.167.77.78 to 232.167.77.79 | — | 2 |
| 169 | 232.167.77.80/31 | 232.167.77.80 to 232.167.77.81 | — | 2 |
| 170 | 232.167.77.82/31 | 232.167.77.82 to 232.167.77.83 | — | 2 |
| 171 | 232.167.77.84/31 | 232.167.77.84 to 232.167.77.85 | — | 2 |
| 172 | 232.167.77.86/31 | 232.167.77.86 to 232.167.77.87 | — | 2 |
| 173 | 232.167.77.88/31 | 232.167.77.88 to 232.167.77.89 | — | 2 |
| 174 | 232.167.77.90/31 | 232.167.77.90 to 232.167.77.91 | — | 2 |
| 175 | 232.167.77.92/31 | 232.167.77.92 to 232.167.77.93 | — | 2 |
| 176 | 232.167.77.94/31 | 232.167.77.94 to 232.167.77.95 | — | 2 |
| 177 | 232.167.77.96/31 | 232.167.77.96 to 232.167.77.97 | — | 2 |
| 178 | 232.167.77.98/31 | 232.167.77.98 to 232.167.77.99 | — | 2 |
| 179 | 232.167.77.100/31 | 232.167.77.100 to 232.167.77.101 | — | 2 |
| 180 | 232.167.77.102/31 | 232.167.77.102 to 232.167.77.103 | — | 2 |
| 181 | 232.167.77.104/31 | 232.167.77.104 to 232.167.77.105 | — | 2 |
| 182 | 232.167.77.106/31 | 232.167.77.106 to 232.167.77.107 | — | 2 |
| 183 | 232.167.77.108/31 | 232.167.77.108 to 232.167.77.109 | — | 2 |
| 184 | 232.167.77.110/31 | 232.167.77.110 to 232.167.77.111 | — | 2 |
| 185 | 232.167.77.112/31 | 232.167.77.112 to 232.167.77.113 | — | 2 |
| 186 | 232.167.77.114/31 | 232.167.77.114 to 232.167.77.115 | — | 2 |
| 187 | 232.167.77.116/31 | 232.167.77.116 to 232.167.77.117 | — | 2 |
| 188 | 232.167.77.118/31 | 232.167.77.118 to 232.167.77.119 | — | 2 |
| 189 | 232.167.77.120/31 | 232.167.77.120 to 232.167.77.121 | — | 2 |
| 190 | 232.167.77.122/31 | 232.167.77.122 to 232.167.77.123 | — | 2 |
| 191 | 232.167.77.124/31 | 232.167.77.124 to 232.167.77.125 | — | 2 |
| 192 | 232.167.77.126/31 | 232.167.77.126 to 232.167.77.127 | — | 2 |
| 193 | 232.167.77.128/31 | 232.167.77.128 to 232.167.77.129 | — | 2 |
| 194 | 232.167.77.130/31 | 232.167.77.130 to 232.167.77.131 | — | 2 |
| 195 | 232.167.77.132/31 | 232.167.77.132 to 232.167.77.133 | — | 2 |
| 196 | 232.167.77.134/31 | 232.167.77.134 to 232.167.77.135 | — | 2 |
| 197 | 232.167.77.136/31 | 232.167.77.136 to 232.167.77.137 | — | 2 |
| 198 | 232.167.77.138/31 | 232.167.77.138 to 232.167.77.139 | — | 2 |
| 199 | 232.167.77.140/31 | 232.167.77.140 to 232.167.77.141 | — | 2 |
| 200 | 232.167.77.142/31 | 232.167.77.142 to 232.167.77.143 | — | 2 |
| 201 | 232.167.77.144/31 | 232.167.77.144 to 232.167.77.145 | — | 2 |
| 202 | 232.167.77.146/31 | 232.167.77.146 to 232.167.77.147 | — | 2 |
| 203 | 232.167.77.148/31 | 232.167.77.148 to 232.167.77.149 | — | 2 |
| 204 | 232.167.77.150/31 | 232.167.77.150 to 232.167.77.151 | — | 2 |
| 205 | 232.167.77.152/31 | 232.167.77.152 to 232.167.77.153 | — | 2 |
| 206 | 232.167.77.154/31 | 232.167.77.154 to 232.167.77.155 | — | 2 |
| 207 | 232.167.77.156/31 | 232.167.77.156 to 232.167.77.157 | — | 2 |
| 208 | 232.167.77.158/31 | 232.167.77.158 to 232.167.77.159 | — | 2 |
| 209 | 232.167.77.160/31 | 232.167.77.160 to 232.167.77.161 | — | 2 |
| 210 | 232.167.77.162/31 | 232.167.77.162 to 232.167.77.163 | — | 2 |
| 211 | 232.167.77.164/31 | 232.167.77.164 to 232.167.77.165 | — | 2 |
| 212 | 232.167.77.166/31 | 232.167.77.166 to 232.167.77.167 | — | 2 |
| 213 | 232.167.77.168/31 | 232.167.77.168 to 232.167.77.169 | — | 2 |
| 214 | 232.167.77.170/31 | 232.167.77.170 to 232.167.77.171 | — | 2 |
| 215 | 232.167.77.172/31 | 232.167.77.172 to 232.167.77.173 | — | 2 |
| 216 | 232.167.77.174/31 | 232.167.77.174 to 232.167.77.175 | — | 2 |
| 217 | 232.167.77.176/31 | 232.167.77.176 to 232.167.77.177 | — | 2 |
| 218 | 232.167.77.178/31 | 232.167.77.178 to 232.167.77.179 | — | 2 |
| 219 | 232.167.77.180/31 | 232.167.77.180 to 232.167.77.181 | — | 2 |
| 220 | 232.167.77.182/31 | 232.167.77.182 to 232.167.77.183 | — | 2 |
| 221 | 232.167.77.184/31 | 232.167.77.184 to 232.167.77.185 | — | 2 |
| 222 | 232.167.77.186/31 | 232.167.77.186 to 232.167.77.187 | — | 2 |
| 223 | 232.167.77.188/31 | 232.167.77.188 to 232.167.77.189 | — | 2 |
| 224 | 232.167.77.190/31 | 232.167.77.190 to 232.167.77.191 | — | 2 |
| 225 | 232.167.77.192/31 | 232.167.77.192 to 232.167.77.193 | — | 2 |
| 226 | 232.167.77.194/31 | 232.167.77.194 to 232.167.77.195 | — | 2 |
| 227 | 232.167.77.196/31 | 232.167.77.196 to 232.167.77.197 | — | 2 |
| 228 | 232.167.77.198/31 | 232.167.77.198 to 232.167.77.199 | — | 2 |
| 229 | 232.167.77.200/31 | 232.167.77.200 to 232.167.77.201 | — | 2 |
| 230 | 232.167.77.202/31 | 232.167.77.202 to 232.167.77.203 | — | 2 |
| 231 | 232.167.77.204/31 | 232.167.77.204 to 232.167.77.205 | — | 2 |
| 232 | 232.167.77.206/31 | 232.167.77.206 to 232.167.77.207 | — | 2 |
| 233 | 232.167.77.208/31 | 232.167.77.208 to 232.167.77.209 | — | 2 |
| 234 | 232.167.77.210/31 | 232.167.77.210 to 232.167.77.211 | — | 2 |
| 235 | 232.167.77.212/31 | 232.167.77.212 to 232.167.77.213 | — | 2 |
| 236 | 232.167.77.214/31 | 232.167.77.214 to 232.167.77.215 | — | 2 |
| 237 | 232.167.77.216/31 | 232.167.77.216 to 232.167.77.217 | — | 2 |
| 238 | 232.167.77.218/31 | 232.167.77.218 to 232.167.77.219 | — | 2 |
| 239 | 232.167.77.220/31 | 232.167.77.220 to 232.167.77.221 | — | 2 |
| 240 | 232.167.77.222/31 | 232.167.77.222 to 232.167.77.223 | — | 2 |
| 241 | 232.167.77.224/31 | 232.167.77.224 to 232.167.77.225 | — | 2 |
| 242 | 232.167.77.226/31 | 232.167.77.226 to 232.167.77.227 | — | 2 |
| 243 | 232.167.77.228/31 | 232.167.77.228 to 232.167.77.229 | — | 2 |
| 244 | 232.167.77.230/31 | 232.167.77.230 to 232.167.77.231 | — | 2 |
| 245 | 232.167.77.232/31 | 232.167.77.232 to 232.167.77.233 | — | 2 |
| 246 | 232.167.77.234/31 | 232.167.77.234 to 232.167.77.235 | — | 2 |
| 247 | 232.167.77.236/31 | 232.167.77.236 to 232.167.77.237 | — | 2 |
| 248 | 232.167.77.238/31 | 232.167.77.238 to 232.167.77.239 | — | 2 |
| 249 | 232.167.77.240/31 | 232.167.77.240 to 232.167.77.241 | — | 2 |
| 250 | 232.167.77.242/31 | 232.167.77.242 to 232.167.77.243 | — | 2 |
| 251 | 232.167.77.244/31 | 232.167.77.244 to 232.167.77.245 | — | 2 |
| 252 | 232.167.77.246/31 | 232.167.77.246 to 232.167.77.247 | — | 2 |
| 253 | 232.167.77.248/31 | 232.167.77.248 to 232.167.77.249 | — | 2 |
| 254 | 232.167.77.250/31 | 232.167.77.250 to 232.167.77.251 | — | 2 |
| 255 | 232.167.77.252/31 | 232.167.77.252 to 232.167.77.253 | — | 2 |
| 256 | 232.167.77.254/31 | 232.167.77.254 to 232.167.77.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |